> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockscout.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Transaction

> ?module=transaction

### `https://instance_base_url/api?module=transaction`

## Get transaction info

`gettxinfo`

Information related to a specified transaction. Includes:

* blockNumber

* confirmations

* from

* gasLimit (in wei)

* gasPrice (in wei)

* gasUsed

* hash

* input

* logs (array)

* revert reason

* success

* timeStamp

* to

* value (in wei)

**Example**

```javascript theme={null}
https://instance_base_url/api
   ?module=transaction
   &action=gettxinfo
   &txhash={transactionHash}
```

<Tabs>
  <Tab title="Request Params">
    | Parameter | Description                                                                       |
    | --------- | --------------------------------------------------------------------------------- |
    | txhash    | `string` containing the transaction hash                                          |
    | index     | optional nonnegative `integer` that represents the log index used for pagination. |
  </Tab>

  <Tab title="Example Result">
    ```json theme={null}
    {
      "result": {
        "revertReason": "No credit of that type",
        "blockNumber": "3",
        "confirmations": "0",
        "from": "0x000000000000000000000000000000000000000c",
        "gasLimit": "91966",
        "gasPrice": "100000",
        "gasUsed": "95123",
        "hash": "0x0000000000000000000000000000000000000000000000000000000000000004",
        "input": "0x04",
        "logs": [
          {
            "address": "0x000000000000000000000000000000000000000e",
            "data": "0x00",
            "topics": [
              "First Topic",
              "Second Topic",
              "Third Topic",
              "Fourth Topic"
            ]
          }
        ],
        "success": true,
        "timeStamp": "1541018182",
        "to": "0x000000000000000000000000000000000000000d",
        "value": "67612"
      },
      "status": "1"
    }
    ```
  </Tab>
</Tabs>

## Get transaction receipt status

`gettxreceiptstatus`

Also available through a GraphQL 'transaction' query. `Status` field return:

* `0` = failed transaction

* `1` = successful transaction

**Example**

```text theme={null}
https://instance_base_url/api
   ?module=transaction
   &action=gettxreceiptstatus
   &txhash={transactionHash}
```

<Tabs>
  <Tab title="Request Params">
    | Parameter | Description                              |
    | --------- | ---------------------------------------- |
    | txhash    | `string` containing the transaction hash |
  </Tab>

  <Tab title="Example Result">
    ```json theme={null}
    {
      "message": "OK",
      "result": {
        "status": "1"
      },
      "status": "1"
    }
    ```
  </Tab>
</Tabs>

## Get error status and message

`getstatus`

Also available through a GraphQL 'transaction' query. Includes the following:

* errDescription: string with error message

* isError

  * 0 = pass, no error

  * 1 = error

**Example**

```javascript theme={null}
https://instance_base_url/api
   ?module=transaction
   &action=getstatus
   &txhash={transactionHash}
```

<Tabs>
  <Tab title="Request Params">
    | Parameter | Description                              |
    | --------- | ---------------------------------------- |
    | txhash    | `string` containing the transaction hash |
  </Tab>

  <Tab title="Example Result">
    ```json theme={null}
    {
      "message": "OK",
      "result": {
        "errDescription": "Out of gas",
        "isError": "1"
      },
      "status": "1"
    }
    ```
  </Tab>
</Tabs>
